Subject: UMTP updated to handle tunneling of SSM sessions

From: Ross Finlayson <[email-masked]>
Date: Thu, 21 Dec 2000 21:47:49 -0800

As you might have heard at the San Diego IETF (but not from me, as I wasn't 
there:-), I have recently revised the UMTP ("UDP Multicast Tunneling 
Protocol") specification to handle SSM sessions (in addition to ISM).  I 
have submitted the updated draft to the Internet Drafts editor; you can 
also read it online at <http://www.live.com/umtp.txt>.  I have also 
upgraded my UMTP server implementation ("liveGate").

UMTP allows multicast data to be received by users who are behind 
non-multicast-capable routers, without them having to modify their 
applications, or use raw sockets.  (Note, however, that for SSM sessions, 
the receiving application will need to be made aware of the fact that UDP 
tunneling will change the session's source address.)

UMTP is not the ideal way for users to receive SSM sessions (it's better 
for them to have real SSM-capable routers, or, failing that, use PIM 
tunneling), but it's one way to help bring SSM to the masses...

         Ross.